Bug 164478 - unable to conform to lsb-python
unable to conform to lsb-python
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: python (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks: 145007
  Show dependency treegraph
 
Reported: 2005-07-28 01:35 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 11:16:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-07-28 01:35:58 EDT
Description of problem:
Tested RHEL4's python against lsb-python and noticed a few errors. Please see the
steps to reproduce for more details.

Version-Release number of selected component (if applicable):
python-2.3.4-14.1

How reproducible:
Always

Steps to Reproduce:
1. Download the lsb-python application package that corresponds to the LSB
version and processor architecture.
2. Install package on system. Example command line:

rpm -ivh lsb-python-2.4-1.lsb3.i486.rpm

      NOTE: Application MUST be installed without use of the --nodeps option
      - Expected result: application should be installed to

/opt/lsb/appbat

3. Change to the test directory:

cd /opt/lsb/appbat/lib/python2.4/test

4. Move aside the pre-compiled python scripts by running the following command
sequence:

mkdir SAVE
mv *.pyc *.pyo SAVE

5. Run the command: /opt/lsb/appbat/bin/python -E regrtest.py -u curses | tee
/tmp/python.out && reset

6. Run the command: tail -n 15 /tmp/python.out to view the last fifteen lines of
the output file. 

Actual results:
After several minutes all the tests will be completed with the results going to
the /tmp/python.out file.
246 tests OK.
3 tests failed:
    test_grp test_pwd test_shutil
41 tests skipped:
    test_aepack test_al test_applesingle test_bsddb test_bsddb185
    test_bsddb3 test_bz2 test_cd test_cl test_codecmaps_cn
    test_codecmaps_hk test_codecmaps_jp test_codecmaps_kr
    test_codecmaps_tw test_dbm test_distutils test_dl test_gdbm
    test_gl test_imageop test_imgfile test_ioctl test_linuxaudiodev
    test_macfs test_macostools test_nis test_normalization
    test_ossaudiodev test_pep277 test_plistlib test_rgbimg
    test_scriptpackages test_socket_ssl test_socketserver
    test_sunaudiodev test_tcl test_timeout test_urllib2net
    test_urllibnet test_winreg test_winsound
7 skips unexpected on linux2:
    test_dbm test_bz2 test_gdbm test_bsddb test_tcl test_distutils
    test_ioctl


Expected results:
After several minutes all the tests will be completed with the results going to
the /tmp/python.out file.

No failures.

Additional info:
The lsb-python rpm (lsb-python-2.4) can be downloaded from the following URL:
http://www.linuxbase.org/download/#app-battery
Comment 3 Lawrence Lim 2005-08-02 11:16:11 EDT
Think this is more of LSB test suite bug than python bug.

http://bugs.linuxbase.org/show_bug.cgi?id=1057

Closing now.

Note You need to log in before you can comment on or make changes to this bug.